cURL
curl --request GET \ --url https://api.vertracloud.app/v1/apps/{id}
{ "response": { "id": "app-abc123def456", "cluster": 1, "type": 1, "name": "API Simples", "description": "I have a description :)", "owner_id": "user-993591427428790342", "owner_plan_id": 1, "language": "javascript", "ram": 128, "status": "up", "subdomain": "myapp.vertraweb.app", "custom_domain": null, "last_snapshot": "2026-03-09T15:51:47.234Z", "main_file": "index.js", "version": "recommended", "auto_restart": true, "start_command": "node index.js", "use_credits": false, "credits_used": 0, "offline_since": null, "created_at": "2026-03-09T15:51:47.234Z", "updated_at": "2026-03-20T15:06:41.449Z" } }
Retrieves detailed information about an application by its ID.
appId-workspaceId
Show Toggle object
javascript
up
recommended
latest
UNAUTHORIZED
APP_NOT_FOUND
{ "code": "APP_NOT_FOUND" }